org.jboss.jca.core.api.workmanager

## Interface DistributedWorkManager

- All Superinterfaces:
    java.lang.Cloneable, javax.resource.spi.work.DistributableWorkManager, GracefulShutdown, javax.resource.spi.work.WorkManager

      public interface DistributedWorkManager
      extends javax.resource.spi.work.DistributableWorkManager, WorkManager

  The JBoss specific distributed work manager interface

- - ### Field Summary

    - ### Fields inherited from interface javax.resource.spi.work.WorkManager

      `IMMEDIATE, INDEFINITE, UNKNOWN`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DistributedWorkManagerStatistics` | `getDistributedStatistics()` Get the distributed statistics
    `java.util.Collection<NotificationListener>` | `getNotificationListeners()` Get the notification listeners attached
    `Policy` | `getPolicy()` Get the policy
    `Selector` | `getSelector()` Get the selector
    `Transport` | `getTransport()` Get the transport
    `void` | `initialize()` Initialize
    `boolean` | `isDistributedStatisticsEnabled()` Is distributed statistics enabled
    `boolean` | `isDoWorkDistributionEnabled()` Is distribution of Work instances for doWork enabled
    `boolean` | `isScheduleWorkDistributionEnabled()` Is distribution of Work instances for scheduleWork enabled
    `boolean` | `isStartWorkDistributionEnabled()` Is distribution of Work instances for startWork enabled
    `void` | `localDoWork(javax.resource.spi.work.Work work)` doWork locally
    `void` | `localScheduleWork(javax.resource.spi.work.Work work)` scheduleWork locally
    `long` | `localStartWork(javax.resource.spi.work.Work work)` startWork locally
    `void` | `setDistributedStatisticsEnabled(boolean v)` Set the distributed statistics enabled flag
    `void` | `setDoWorkDistributionEnabled(boolean v)` Toggle distribution of Work instances for doWork
    `void` | `setPolicy(Policy v)` Set the policy
    `void` | `setScheduleWorkDistributionEnabled(boolean v)` Toggle distribution of Work instances for scheduleWork
    `void` | `setSelector(Selector v)` Set the selector
    `void` | `setStartWorkDistributionEnabled(boolean v)` Toggle distribution of Work instances for startWork
    `void` | `setTransport(Transport v)` Set the transport

    - ### Methods inherited from interface org.jboss.jca.core.api.workmanager.WorkManager

      `clone, getCallbackSecurity, getId, getLongRunningThreadPool, getName, getSecurityIntegration, getShortRunningThreadPool, getStatistics, getXATerminator, isSpecCompliant, isStatisticsEnabled, setCallbackSecurity, setId, setLongRunningThreadPool, setName, setResourceAdapter, setSecurityIntegration, setShortRunningThreadPool, setSpecCompliant, setStatisticsEnabled, setXATerminator`

    - ### Methods inherited from interface javax.resource.spi.work.WorkManager

      `doWork, doWork, scheduleWork, scheduleWork, startWork, startWork`

    - ### Methods inherited from interface org.jboss.jca.core.spi.graceful.GracefulShutdown

      `cancelShutdown, getDelay, isShutdown, prepareShutdown, prepareShutdown, prepareShutdown, prepareShutdown, shutdown`

- - ### Method Detail

    - #### getPolicy

          Policy getPolicy()

      Get the policy
      Returns:
        The value

    - #### setPolicy

          void setPolicy(Policy v)

      Set the policy
      Parameters:
        `v` - The value

    - #### getSelector

          Selector getSelector()

      Get the selector
      Returns:
        The value

    - #### setSelector

          void setSelector(Selector v)

      Set the selector
      Parameters:
        `v` - The value

    - #### getTransport

          Transport getTransport()

      Get the transport
      Returns:
        The value

    - #### setTransport

          void setTransport(Transport v)

      Set the transport
      Parameters:
        `v` - The value

    - #### isDistributedStatisticsEnabled

          boolean isDistributedStatisticsEnabled()

      Is distributed statistics enabled
      Returns:
        True if enabled; otherwise false

    - #### setDistributedStatisticsEnabled

          void setDistributedStatisticsEnabled(boolean v)

      Set the distributed statistics enabled flag
      Parameters:
        `v` - The value

    - #### getNotificationListeners

          java.util.Collection<NotificationListener> getNotificationListeners()

      Get the notification listeners attached
      Returns:
        The value

    - #### setDoWorkDistributionEnabled

          void setDoWorkDistributionEnabled(boolean v)

      Toggle distribution of Work instances for doWork
      Parameters:
        `v` - The value

    - #### isDoWorkDistributionEnabled

          boolean isDoWorkDistributionEnabled()

      Is distribution of Work instances for doWork enabled
      Returns:
        True if enabled, otherwise false

    - #### setStartWorkDistributionEnabled

          void setStartWorkDistributionEnabled(boolean v)

      Toggle distribution of Work instances for startWork
      Parameters:
        `v` - The value

    - #### isStartWorkDistributionEnabled

          boolean isStartWorkDistributionEnabled()

      Is distribution of Work instances for startWork enabled
      Returns:
        True if enabled, otherwise false

    - #### setScheduleWorkDistributionEnabled

          void setScheduleWorkDistributionEnabled(boolean v)

      Toggle distribution of Work instances for scheduleWork
      Parameters:
        `v` - The value

    - #### isScheduleWorkDistributionEnabled

          boolean isScheduleWorkDistributionEnabled()

      Is distribution of Work instances for scheduleWork enabled
      Returns:
        True if enabled, otherwise false

    - #### localDoWork

          void localDoWork(javax.resource.spi.work.Work work)
                    throws javax.resource.spi.work.WorkException

      doWork locally
      Parameters:
        `work` - The work
      Throws:
        `javax.resource.spi.work.WorkException` - Thrown if an error occurs

    - #### localScheduleWork

          void localScheduleWork(javax.resource.spi.work.Work work)
                          throws javax.resource.spi.work.WorkException

      scheduleWork locally
      Parameters:
        `work` - The work
      Throws:
        `javax.resource.spi.work.WorkException` - Thrown if an error occurs

    - #### localStartWork

          long localStartWork(javax.resource.spi.work.Work work)
                       throws javax.resource.spi.work.WorkException

      startWork locally
      Parameters:
        `work` - The work
      Returns:
        The delay
      Throws:
        `javax.resource.spi.work.WorkException` - Thrown if an error occurs

    - #### getDistributedStatistics

          DistributedWorkManagerStatistics getDistributedStatistics()

      Get the distributed statistics
      Returns:
        The value

    - #### initialize

          void initialize()

      Initialize

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)